<?
include("menu.php");
//Først opretter vi forbindelse til vores database

mysql_connect("localhost", "NsZoom", "pfds12");

//Så vælger vi hvilken database det skal være

mysql_select_db("nszoom");



//Så skal vi definere de varibler som får værdien af vores søgeord

$soeg = $_POST["soeg"];



//Så tjekker vi om der er søgt efter noget

if(!empty($soeg)){

//Hvis der er, skal vi hente det ud af databasen som der er søgt efter

$hent = mysql_query("SELECT felter FROM tabel WHERE felt LIKE "%$soeg%"");

//Overskriften

echo "Resultater af din søgning";

//Så udskriver vi dem med med en while og laver et array af resultaterne

while ($vis = mysql_fetch_array($hent)){

echo $vis[felt1];

echo "<br>";

echo $vis[felt2];

echo "<br><br>";

}

//Hvis der ikke er søgt efter noget skal vi vise en form hvor man kan søge

} else {

?>

<form action="<? echo $PHP_SELF; ?>" method="POST">

Søg efter:<br>

<input type="text" name="soeg"><br>

<input type="submit" value="Søg">

</form>

<?

}

?>